function D=diagprod(A)
% D=diagprodVec(A)
% Product of diagonal elements of matrices
% A : N-by-d-by-d amat
% D : N-by-1-by-1 amat
% D(k) = prod_{i=1}^d A(k,i,i)  
  [N,m,n]=size(A);
  D=1; 
  for i=1:min(m,n)
    D=D.*A(:,i,i);
  end
end
